[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TAnchorSide.CheckSidePosition

Checks for anchor cycles and invalid targets, and returns information about the target side.

## Declaration

Source position: controls.pp line 947

`public function TAnchorSide.CheckSidePosition(`
`NewControl: TControl;`
`NewSide: TAnchorSideReference;`
`out ReferenceControl: TControl;`
`out ReferenceSide: TAnchorSideReference;`
`out Position: Integer`
`):Boolean;`

## Arguments

`ReferenceControl` |  | The control we are anchored to.
`ReferenceSide` |  | The side we are anchored to.
`Position` |  | Position of the side to anchor to.

## Function result

False when errors have been found.

## Errors

Can raise an exception with the message: 'TAnchorSide.CheckSidePosition invalid Side'.